Package com.io7m.cardant.database.api

# Enum Class CADatabaseIncludeRedacted

java.lang.Object
java.lang.Enum<CADatabaseIncludeRedacted>
com.io7m.cardant.database.api.CADatabaseIncludeRedacted

All Implemented Interfaces:
  `Serializable`, `Comparable<CADatabaseIncludeRedacted>`, `Constable`

public enum CADatabaseIncludeRedacted extends Enum<CADatabaseIncludeRedacted>
Whether to include redacted items.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXCLUDE_REDACTED`
  Exclude redacted items.
  `INCLUDE_REDACTED`
  Include redacted items.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CADatabaseIncludeRedacted`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CADatabaseIncludeRedacted[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INCLUDE_REDACTED

    public static final CADatabaseIncludeRedacted INCLUDE_REDACTED
    Include redacted items.

  - ### EXCLUDE_REDACTED

    public static final CADatabaseIncludeRedacted EXCLUDE_REDACTED
    Exclude redacted items.

- ## Method Details

  - ### values

    public static CADatabaseIncludeRedacted[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CADatabaseIncludeRedacted valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null